## gnumach 1.8+git20250731

=== debian/rules ===
--- 
+++ 
@@ -148,8 +148,8 @@
 $(eval $(call doconfigure,-pae,--enable-pae))
 $(eval $(call doconfigure,-smp,--enable-apic --enable-ncpus=$(NCPUS)))
 
-# _dobuild <build directory suffix> <-dbg build directory suffix>
-define _dobuild
+# __dobuild <build directory suffix> <-dbg build directory suffix>
+define __dobuild
 build-arch: build$(1)$(2)/stamp
 build$(1)$(2)/stamp: build$(1)$(2)/config.status doc/mach.info
 	dh_testdir
@@ -164,12 +164,23 @@
 	touch $$@
 endef
 
-# _dobuild <build directory suffix>
+# dobuild <build directory suffix>
+define _dobuild
+$(eval $(call __dobuild,$1,))
+endef
+
+ifeq ($(filter pkg.gnumach.nodbg,$(DEB_BUILD_PROFILES)),)
+define _dobuild_dbg
+$(eval $(call __dobuild,$1,-dbg))
+endef
+else
+define _dobuild_dbg
+endef
+endif
+
 define dobuild
 $(eval $(call _dobuild,$1,))
-  ifeq ($(filter pkg.gnumach.nodbg,$(DEB_BUILD_PROFILES)),)
-$(eval $(call _dobuild,$1,-dbg))
-  endif
+$(eval $(call _dobuild_dbg,$1,))
 endef
 
 ifneq ($(DEB_HOST_ARCH_CPU),arm64)
@@ -282,5 +293,3 @@
 	
   ifeq ($(filter pkg.gnumach.onlyup,$(DEB_BUILD_PROFILES)),)
     ifneq ($(DEB_HOST_ARCH_CPU),arm64)
-      ifeq ($(filter pkg.gnumach.noxen,$(DEB_BUILD_PROFILES)),)
-	$(call doinstall_dbg_udeb,-xen,,$(D_XEN),$(D_XEN_DBG),$(D_XEN_UDEB))
