=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.cvs\d+$// \
https://ftp.gnu.org/gnu/gnumach/	gnumach-@ANY_VERSION@@ARCHIVE_EXT@	debian	uupdate
