## gnumach 1.8+git20251228

=== debian/rules ===
--- 
+++ 
@@ -146,7 +146,7 @@
 $(eval $(call doconfigure,-up,))
 $(eval $(call doconfigure,-xen,--enable-platform=xen))
 $(eval $(call doconfigure,-pae,--enable-pae))
-$(eval $(call doconfigure,-smp,--enable-apic --enable-ncpus=$(NCPUS)))
+$(eval $(call doconfigure,-smp,--enable-ncpus=$(NCPUS)))
 
 # __dobuild <build directory suffix> <-dbg build directory suffix>
 define __dobuild
