## gnumach 1.8+git20260129

=== debian/tests/control ===
Depends: @builddeps@, gnumach-image-1.8-486-up
Architecture: i386
Test-Command: ./debian/tests/check 1.8-486-up
Restrictions: allow-stderr

Depends: @builddeps@, gnumach-image-1.8-486-pae
Architecture: i386
Test-Command: ./debian/tests/check 1.8-486-pae
Restrictions: allow-stderr

Depends: @builddeps@, gnumach-image-1.8-486-smp
Architecture: i386
Test-Command: ./debian/tests/check 1.8-486-smp
Restrictions: allow-stderr

Depends: @builddeps@, gnumach-image-1.8-amd64-up
Architecture: amd64
Test-Command: ./debian/tests/check 1.8-amd64-up
Restrictions: allow-stderr

Architecture: arm64
Test-Command: /bin/true
