## gnumach 1.8+git20260224

=== debian/changelog ===
gnumach (2:1.8+git20260224-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Add amd64-smp kernel.
  * rules: Add amd64-smp kernel, refactorize, also check for nocheck in build
    profile.
  * tests/control: Also test amd64-smp kernel.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Feb 2026 09:58:42 +0100
