=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  qemu-system-i386 [i386] <!nocheck>, qemu-system-amd64 [amd64] <!nocheck>,
  grub-pc-bin [any-i386 any-amd64] <!nocheck>, grub-common [any-i386 any-amd64] <!nocheck>, xorriso [any-i386 any-amd64] <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 #Note: XXX this file is generated from .in files, see debian/rules
 
 Package: gnumach-image-1-486
@@ -41,6 +41,17 @@
 Description: GNU version of the Mach microkernel for Xen
  This package depends on the latest GNU Mach kernel for use on PCs
  with a 486, Pentium or compatible processor.
+ .
+ This kernel is for use in unprivileged (domU) Xen domains.
+
+Package: gnumach-image-1-xen-amd64
+Architecture: any-amd64
+Multi-Arch: foreign
+Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
+Depends: ${misc:Depends}, gnumach-image-1.8-xen-amd64
+Description: GNU version of the Mach microkernel for Xen
+ This package depends on the latest GNU Mach kernel for use on PCs
+ with an AMD 64 or Intel 64 compatible processor.
  .
  This kernel is for use in unprivileged (domU) Xen domains.
 
@@ -67,16 +78,16 @@
  .
  This kernel is for use with multiprocessor support.
 
-Package: gnumach-image-1-xen-amd64
-Architecture: any-amd64
-Multi-Arch: foreign
-Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
-Depends: ${misc:Depends}, gnumach-image-1.8-xen-amd64
-Description: GNU version of the Mach microkernel for Xen
- This package depends on the latest GNU Mach kernel for use on PCs
- with an AMD 64 or Intel 64 compatible processor.
- .
- This kernel is for use in unprivileged (domU) Xen domains.
+Package: gnumach-image-1-amd64-smp
+Architecture: any-amd64
+Multi-Arch: foreign
+Build-Profiles: <!stage1 !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
+Depends: ${misc:Depends}, gnumach-image-1.8-amd64-smp
+Description: GNU version of the Mach microkernel with SMP
+ This package depends on the latest GNU Mach kernel for use on PCs
+ with an AMD 64 or Intel 64 compatible processor.
+ .
+ This kernel is for use with multiprocessor support.
 
 Package: gnumach-image-1.8-486-up
 Architecture: any-i386
@@ -86,7 +97,7 @@
 Provides: gnumach-image, gnumach-image-1.8-486 (= ${binary:Version})
 Conflicts: gnumach-image-1.8-486
 Replaces: gnumach-image-1.8-486
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), xserver-xorg-core (<< 2:1.9.99.1~)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-5)
 Description: GNU version of the Mach microkernel
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with a 486, Pentium or compatible processor.
@@ -99,7 +110,7 @@
 Build-Profiles: <!stage1>
 Depends: ${misc:Depends}, gnumach-common
 Provides: gnumach-image
-Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20250420-2), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-12+bin1)
+Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-12+bin1)
 Description: GNU version of the Mach microkernel
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with an AMD 64 or Intel 64 compatible processor.
@@ -112,20 +123,33 @@
 Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
 Depends: ${misc:Depends}, gnumach-common
 Provides: gnumach-image
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1)
 Description: GNU version of the Mach microkernel for Xen
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with a 486, Pentium or compatible processor.
  .
  The version in this package is compiled with Xen support.
 
+Package: gnumach-image-1.8-xen-amd64
+Architecture: any-amd64
+Multi-Arch: foreign
+Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
+Depends: ${misc:Depends}, gnumach-common
+Provides: gnumach-image
+Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1)
+Description: GNU version of the Mach microkernel for Xen
+ This is the Utah Mach microkernel used by the Hurd for use on PCs
+ with an AMD 64 or Intel 64 compatible processor.
+ .
+ The version in this package is compiled with Xen support.
+
 Package: gnumach-image-1.8-486-pae
 Architecture: any-i386
 Multi-Arch: foreign
 Build-Profiles: <!stage1 !pkg.gnumach.nopae !pkg.gnumach.onlyup>
 Depends: ${misc:Depends}, gnumach-common
 Provides: gnumach-image
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), netdde (<< 0.0.20200330-5)
 Description: GNU version of the Mach microkernel with PAE
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with a 486, Pentium or compatible processor.
@@ -139,25 +163,25 @@
 Build-Profiles: <!stage1 !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
 Depends: ${misc:Depends}, gnumach-common
 Provides: gnumach-image
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), netdde (<< 0.0.20200330-5)
 Description: GNU version of the Mach microkernel with SMP
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with a 486, Pentium or compatible processor.
  .
  This kernel is for use with multiprocessor support (VERY EXPERIMENTAL)
 
-Package: gnumach-image-1.8-xen-amd64
-Architecture: any-amd64
-Multi-Arch: foreign
-Build-Profiles: <!stage1 !pkg.gnumach.noxen !pkg.gnumach.onlyup>
-Depends: ${misc:Depends}, gnumach-common
-Provides: gnumach-image
-Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20250420-2)
-Description: GNU version of the Mach microkernel for Xen
- This is the Utah Mach microkernel used by the Hurd for use on PCs
- with an AMD 64 or Intel 64 compatible processor.
- .
- The version in this package is compiled with Xen support.
+Package: gnumach-image-1.8-amd64-smp
+Architecture: any-amd64
+Multi-Arch: foreign
+Build-Profiles: <!stage1 !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
+Depends: ${misc:Depends}, gnumach-common
+Provides: gnumach-image
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), netdde (<< 0.0.20200330-5)
+Description: GNU version of the Mach microkernel with SMP
+ This is the Utah Mach microkernel used by the Hurd for use on PCs
+ with an AMD 64 or Intel 64 compatible processor.
+ .
+ This kernel is for use with multiprocessor support (VERY EXPERIMENTAL)
 
 Package: kernel-image-1.8-486-di
 XB-Kernel-Version: 1.8-486
@@ -220,7 +244,7 @@
 Depends: ${misc:Depends}, gnumach-common
 Conflicts: gnumach-image-1.8-486-dbg
 Replaces: gnumach-image-1.8-486-dbg
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1), xserver-xorg-core (<< 2:1.9.99.1~)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-5)
 Description: GNU version of the Mach microkernel for debugging
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with a 486, Pentium or compatible processor.
@@ -236,7 +260,7 @@
 Multi-Arch: foreign
 Build-Profiles: <!stage1 !pkg.gnumach.nodbg>
 Depends: ${misc:Depends}, gnumach-common
-Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20250420-2), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-12+bin1)
+Breaks: libc0.3 (<< 2.41-9~1), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1), xserver-xorg-core (<< 2:1.9.99.1~), netdde (<< 0.0.20200330-12+bin1)
 Description: GNU version of the Mach microkernel for debugging
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with an AMD 64 or Intel 64 compatible processor.
@@ -252,49 +276,8 @@
 Multi-Arch: foreign
 Build-Profiles: <!stage1 !pkg.gnumach.nodbg !pkg.gnumach.noxen !pkg.gnumach.onlyup>
 Depends: ${misc:Depends}, gnumach-common
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
+Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 1:0.9.git20251029-2+b1), hurd-libs0.3 (<< 1:0.9.git20251029-2+b1)
 Description: GNU version of the Mach microkernel for Xen for debugging
  This is the Utah Mach microkernel used by the Hurd for use on PCs
  with a 486, Pentium or compatible processor.
  .
- The version in this package is identical to the version found in the
- gnumach-xen package, except that it is not stripped and has the
- kernel-level debugger compiled in.
-
-Package: gnumach-image-1.8-486-pae-dbg
-Section: debug
-Provides: gnumach
-Architecture: any-i386
-Multi-Arch: foreign
-Build-Profiles: <!stage1 !pkg.gnumach.nodbg !pkg.gnumach.nopae !pkg.gnumach.onlyup>
-Depends: ${misc:Depends}, gnumach-common
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
-Description: GNU version of the Mach microkernel with PAE for debugging
- This is the Utah Mach microkernel used by the Hurd for use on PCs
- with a 486, Pentium or compatible processor.
- .
- The version in this package is identical to the version found in the
- gnumach-pae package, except that it is not stripped and has the
- kernel-level debugger compiled in.
-
-Package: gnumach-image-1.8-486-smp-dbg
-Section: debug
-Provides: gnumach
-Architecture: any-i386
-Multi-Arch: foreign
-Build-Profiles: <!stage1 !pkg.gnumach.nodbg !pkg.gnumach.nosmp !pkg.gnumach.onlyup>
-Depends: ${misc:Depends}, gnumach-common
-Breaks: libc0.3 (<< 2.10.1-3), hurd (<< 20120520-1)
-Description: GNU version of the Mach microkernel with SMP for debugging
- This is the Utah Mach microkernel used by the Hurd for use on PCs
- with a 486, Pentium or compatible processor.
- .
- The version in this package is identical to the version found in the
- gnumach-smp package, except that it is not stripped and has the
- kernel-level debugger compiled in.
-
-Package: gnumach-image-1.8-xen-amd64-dbg
-Section: debug
-Provides: gnumach
-Architecture: any-amd64
-Multi-Arch: foreign
