=== debian/rules ===
--- 
+++ 
@@ -43,22 +43,44 @@
 pkg_common := gnumach-common
 pkg_dev := gnumach-dev
 
-ifneq ($(DEB_HOST_ARCH_CPU),arm64)
+HAVE_KERNEL_ARCHS = amd64 i386
+HAVE_XEN_ARCHS = amd64 i386
+HAVE_SMP_ARCHS = amd64 i386
+
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),$(HAVE_KERNEL_ARCHS)))
+HAVE_KERNEL=1
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),$(HAVE_XEN_ARCHS)))
+HAVE_XEN=1
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),$(HAVE_SMP_ARCHS)))
+HAVE_SMP=1
+endif
+
+ifeq ($(HAVE_KERNEL),1)
 nopkg := -N$(pkg)
 nopkg_dbg := -N$(pkg_dbg)
 nopkg_udeb := -N$(pkg_udeb)
+endif
+
+ifeq ($(HAVE_XEN),1)
+nopkg_xen := -N$(pkg_xen) -N$(pkg_xen_udeb)
+nopkg_xen_dbg := -N$(pkg_xen_dbg)
+endif
+
+ifeq ($(HAVE_XEN),1)
+nopkg_xen := -N$(pkg_xen) -N$(pkg_xen_udeb)
+nopkg_xen_dbg := -N$(pkg_xen_dbg)
+endif
+
+ifeq ($(HAVE_SMP),1)
+nopkg_smp := -N$(pkg_smp)
+nopkg_smp_dbg := -N$(pkg_smp_dbg)
+endif
 
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
 nopkg_pae := -N$(pkg_pae)
 nopkg_pae_dbg := -N$(pkg_pae_dbg)
-nopkg_smp := -N$(pkg_smp)
-nopkg_smp_dbg := -N$(pkg_smp_dbg)
-endif
-
-ifneq ($(DEB_HOST_ARCH_CPU),arm64)
-nopkg_xen := -N$(pkg_xen) -N$(pkg_xen_udeb)
-nopkg_xen_dbg := -N$(pkg_xen_dbg)
-endif
 endif
 
 D := $(CURDIR)/debian/tmp
@@ -155,7 +177,7 @@
 	dh_testdir
 	$(MAKE) -C build$(1)$(2)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	mkdir -p $(PARALLEL_HOME)
 	parallel --fg --semaphore --semaphorename gnumach-build $(MAKE) -C build$(1)$(2) check < /dev/null ; \
 	RET=$$$$? ; cat build$(1)$(2)/tests/test-*.log build$(1)$(2)/test-suite.log ; exit $$$$RET
@@ -183,26 +205,28 @@
 $(eval $(call _dobuild_dbg,$1,))
 endef
 
-ifneq ($(DEB_HOST_ARCH_CPU),arm64)
+ifeq ($(HAVE_KERNEL),1)
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 
 $(eval $(call dobuild,-up))
 
   ifeq ($(filter pkg.gnumach.onlyup,$(DEB_BUILD_PROFILES)),)
 
-    ifneq ($(DEB_HOST_ARCH_CPU),arm64)
+    ifeq ($(HAVE_XEN),1)
       ifeq ($(filter pkg.gnumach.noxen,$(DEB_BUILD_PROFILES)),)
 $(eval $(call dobuild,-xen))
       endif
     endif
 
+    ifeq ($(HAVE_SMP),1)
+      ifeq ($(filter pkg.gnumach.nosmp,$(DEB_BUILD_PROFILES)),)
+$(eval $(call dobuild,-smp))
+      endif
+    endif
+
     ifeq ($(DEB_HOST_ARCH_CPU),i386)
       ifeq ($(filter pkg.gnumach.nopae,$(DEB_BUILD_PROFILES)),)
 $(eval $(call dobuild,-pae))
-      endif
-
-      ifeq ($(filter pkg.gnumach.nosmp,$(DEB_BUILD_PROFILES)),)
-$(eval $(call dobuild,-smp))
       endif
     endif
 
@@ -275,21 +299,3 @@
 
 # doinstall_dbg <first kernel filename suffix> <second kernel filename suffix> <DESTDIR> <DEBUG DESTDIR> <UDEB DESTDIR>
 define doinstall_dbg_udeb
-	$(call doinstall_dbg,$(1),$(2),$(3),$(4))
-	mkdir -p $(5)/boot
-	cp $(3)/boot/gnumach-$(VERSION)$(1)-$(MACHINE)$(2) $(5)/boot/gnumach
-endef
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep -a
-	-rm -rf $(D_DBG)
-	dh_installdirs -a
-	
-ifneq ($(DEB_HOST_ARCH_CPU),arm64)
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-	$(call doinstall_dbg_udeb,,-up,$(D),$(D_DBG),$(D_UDEB))
-	
-  ifeq ($(filter pkg.gnumach.onlyup,$(DEB_BUILD_PROFILES)),)
-    ifneq ($(DEB_HOST_ARCH_CPU),arm64)
